import React, { Component } from "react";
import { reduxForm, Field } from "redux-form";

import { renderInput } from "../components/redux-form/form-elemets";

class RemoteTodo extends Component {
	submit = value => console.log("value", value);

	render() {
		console.log("this.props", this.props);
		return (
			<div>
				<form onSubmit={this.props.handleSubmit(this.submit)} style={{ width: "30rem", margin: "0 auto" }}>
					<Field name="name" component={renderInput} />
					<Field name="age" type="number" component={renderInput} />

					<button>OK</button>
				</form>
			</div>
		);
	}
}

export default reduxForm({ form: "redux-form" })(RemoteTodo);
